export default {
  steps: {
    page0: {
      elements: [
        'h3',
        'h4',
        'anti_aging_goals',
      ],
      buttons: {
        previous: false,
      },
    },
    page1: {
      elements: [
        'h2_1',
        'h4_1',
        'skin_changes',
        'skin_changes_reason',
      ],
    },
    page2: {
      elements: [
        'h2',
        'h4_2',
        'aging_concerns',
        'aging_concerns_reason',
      ],
    },
    page3: {
      elements: [
        'h4_3',
        'skin_condition',
      ],
    },
    page4: {
      elements: [
        'h4_4',
        'anti_aging_products',
        'anti_aging_products_list',
      ],
    },
    page5: {
      elements: [
        'h4_5',
        'skin_conditions',
        'skin_conditions_reason',
      ],
    },
    page6: {
      elements: [
        'h4_6',
        'sensitivities',
        'sensitivities_reason',
      ],
    },
    page7: {
      elements: [
        'h4_7',
        'hormonal_imbalances',
        'hormonal_imbalances_reason',
      ],
    },
    page8: {
      elements: [
        'h4_8',
        'hormone_replacement_therapies',
        'hormone_replacement_therapies_reason',
      ],
    },
    page9: {
      elements: [
        'h4_9',
        'supplements',
        'supplements_list',
      ],
    },
    page10: {
      elements: [
        'h4_10',
        'caffeine_nicotine_alcohol',
      ],
    },
    page11: {
      elements: [
        'h4_11',
        'gastrointestinal_conditions',
        'gastrointestinal_conditions_reason',
      ],
    },
    page12: {
      elements: [
        'h4_12',
        'prescription_skincare',
        'prescription_skincare_reason',
      ],
    },
    page13: {
      elements: [
        'h4_13',
        'pregnant',
      ],
    },
  },
  schema: {
    h3: {
      type: 'static',
      tag: 'h2',
      content: 'Anti-Aging Survey',
      align: 'left',
    },
    h4: {
      type: 'static',
      tag: 'h4',
      content: 'Please answer the following questions:',
    },
    anti_aging_goals: {
      type: 'checkboxgroup',
      rules: [
        'required',
      ],
      view: 'blocks',
      items: [
        {
          value: 'Improve skin elasticity and texture',
          label: 'Improve skin elasticity and texture',
        },
        {
          value: 'Reduce wrinkles and fine lines',
          label: 'Reduce wrinkles and fine lines',
        },
        {
          value: 'Boost energy levels',
          label: 'Boost energy levels',
        },
        {
          value: 'Enhance hair and nail health',
          label: 'Enhance hair and nail health',
        },
        {
          value: 'Improve overall vitality',
          label: 'Improve overall vitality',
        },
        {
          value: 'Other',
          label: 'Other',
        },
      ],
    },
    h2_1: {
      type: 'static',
      tag: 'h2',
      content: 'Recent Changes',
    },
    h4_1: {
      type: 'static',
      tag: 'h4',
      content: 'Have you noticed any significant changes in your skin, hair, or nails in the past 6 months?',
    },
    skin_changes: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    skin_changes_reason: {
      type: 'text',
      label: 'If yes, please describe:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'skin_changes',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h2: {
      type: 'static',
      tag: 'h2',
      content: 'Aging Concerns',
    },
    h4_2: {
      type: 'static',
      tag: 'h4',
      content: 'Do you have concerns related to aging?',
    },
    aging_concerns: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    aging_concerns_reason: {
      type: 'text',
      label: 'If yes, please specify:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'aging_concerns',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_3: {
      type: 'static',
      tag: 'h4',
      content: 'How would you describe your current skin condition?',
    },
    skin_condition: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Dry',
          label: 'Dry',
        },
        {
          value: 'Oily',
          label: 'Oily',
        },
        {
          value: 'Combination',
          label: 'Combination',
        },
        {
          value: 'Sensitive',
          label: 'Sensitive',
        },
        {
          value: 'Normal',
          label: 'Normal',
        },
      ],
      rules: [
        'required',
      ],
    },
    h4_4: {
      type: 'static',
      tag: 'h4',
      content: 'Do you currently use any anti-aging skincare products or treatments?',
    },
    anti_aging_products: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    anti_aging_products_list: {
      type: 'text',
      label: 'If yes, please list the products or treatments:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'anti_aging_products',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_5: {
      type: 'static',
      tag: 'h4',
      content: 'Do you have a history of skin conditions?',
    },
    skin_conditions: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    skin_conditions_reason: {
      type: 'text',
      label: 'If yes, please specify:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'skin_conditions',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_6: {
      type: 'static',
      tag: 'h4',
      content: 'Do you have any known sensitivities or allergies?',
    },
    sensitivities: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    sensitivities_reason: {
      type: 'text',
      label: 'If yes, please specify:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'sensitivities',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_7: {
      type: 'static',
      tag: 'h4',
      content: 'Have you been diagnosed with any hormonal imbalances or endocrine disorders?',
    },
    hormonal_imbalances: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    hormonal_imbalances_reason: {
      type: 'text',
      label: 'If yes, please describe:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'hormonal_imbalances',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_8: {
      type: 'static',
      tag: 'h4',
      content: 'Are you currently taking any hormone replacement therapies?',
    },
    hormone_replacement_therapies: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    hormone_replacement_therapies_reason: {
      type: 'text',
      label: 'If yes, please specify:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'hormone_replacement_therapies',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_9: {
      type: 'static',
      tag: 'h4',
      content: 'Are you currently taking any medications or supplements to support anti-aging, skin health, or general wellness?',
    },
    supplements: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    supplements_list: {
      type: 'text',
      label: 'If yes, please list the products and dosages:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'supplements',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_10: {
      type: 'static',
      tag: 'h4',
      content: 'Do you consume caffeine, nicotine, or alcohol?',
    },
    caffeine_nicotine_alcohol: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    h4_11: {
      type: 'static',
      tag: 'h4',
      content: 'Do you have any gastrointestinal conditions?',
    },
    gastrointestinal_conditions: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    gastrointestinal_conditions_reason: {
      type: 'text',
      label: 'If yes, please describe:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'gastrointestinal_conditions',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_12: {
      type: 'static',
      tag: 'h4',
      content: 'Do you currently use any prescription-strength skincare products?',
    },
    prescription_skincare: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
    prescription_skincare_reason: {
      type: 'text',
      label: 'If yes, please specify:',
      rules: [
        'required',
      ],
      conditions: [
        [
          'prescription_skincare',
          'in',
          [
            'Yes',
          ],
        ],
      ],
    },
    h4_13: {
      type: 'static',
      tag: 'h4',
      content: 'Are you pregnant? (Female Specific)',
    },
    pregnant: {
      type: 'radiogroup',
      view: 'blocks',
      items: [
        {
          value: 'Yes',
          label: 'Yes',
        },
        {
          value: 'No',
          label: 'No',
        },
      ],
      rules: [
        'required',
      ],
    },
  },
};