export default{
    steps: {
        page0: {
          elements: [
            'h4',
            'how_itchy_skin',
          ],
        },
        page1: {
          elements: [
            'h4_1',
            'self_conscious_of_skin',
          ],
        },
        page2: {
          elements: [
            'h4_2',
            'leisure_activity_affect_on_skin',
          ],
        },
        page3: {
          elements: [
            'h4_3',
            'prevent_from_study_skin',
            'container',
          ],
        },
        page4: {
          elements: [
            'h4_5',
            'skin_problem_with_partner',
          ],
        },
        page5: {
          elements: [
            'h4_6',
            'sexual_difficulty_with_skin',
          ],
        },
        page6: {
          elements: [
            'h4_7',
            'treatment_for_skin',
          ],
        },
      },
      schema: {
        h4: {
          type: 'static',
          tag: 'h4',
          content: 'Over the last week, how itchy, sore, painful or stinging has your skin been?\n',
        },
        how_itchy_skin: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        h4_1: {
          type: 'static',
          tag: 'h4',
          content: 'Over the last week, how embarrassed or self conscious have you been because of your skin?',
        },
        self_conscious_of_skin: {
          type: 'radiogroup',
          items: [
            {
              value: 'very_much',
              label: 'Very Much',
            },
            {
              value: 'a_lot',
              label: 'A lot',
            },
            {
              value: 'a_little',
              label: 'A little',
            },
            {
              value: 'not_at_all',
              label: 'Not at all',
            },
          ],
        },
        h4_2: {
          type: 'static',
          tag: 'h4',
          content: 'Over the last week, how much has your skin affected any social or leisure activities?',
        },
        leisure_activity_affect_on_skin: {
          type: 'radiogroup',
          items: [
            {
              value: 'very_much',
              label: 'Very Much',
            },
            {
              value: 'a_lot',
              label: 'A lot',
            },
            {
              value: 'a_little',
              label: 'A little',
            },
            {
              value: 'not_at_all',
              label: 'Not at all',
            },
          ],
        },
        h4_3: {
          type: 'static',
          tag: 'h4',
          content: 'Over the last week, has your skin prevented you from working or studying?',
        },
        prevent_from_study_skin: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        container: {
          type: 'group',
          schema: {
            h4_4: {
              type: 'static',
              tag: 'h4',
              content: 'Over the last week how much has your skin been a problem at work or studying?',
            },
            skin_problem_at_work_study: {
              type: 'radiogroup',
              items: [
                {
                  value: 'a_lot',
                  label: 'A lot',
                },
                {
                  value: 'a_little',
                  label: 'A little',
                },
                {
                  value: 'not_at_all',
                  label: 'Not at all',
                },
              ],
            },
          },
          conditions: [
            [
              'prevent_from_study_skin',
              'in',
              [
                'no',
              ],
            ],
          ],
        },
        h4_5: {
          type: 'static',
          tag: 'h4',
          content: 'Over the last week, how much has your skin created problems with your partner or any of your close friends or relatives?',
        },
        skin_problem_with_partner: {
          type: 'radiogroup',
          items: [
            {
              value: 'very_much',
              label: 'Very much',
            },
            {
              value: 'a_lot',
              label: 'A lot',
            },
            {
              value: 'a_little',
              label: 'A little',
            },
            {
              value: 'not_at_all',
              label: ' Not at all',
            },
          ],
        },
        h4_6: {
          type: 'static',
          tag: 'h4',
          content: 'Over the last week, how much has your skin caused any sexual difficulties?',
        },
        sexual_difficulty_with_skin: {
          type: 'radiogroup',
          items: [
            {
              value: 'very_much',
              label: 'Very much',
            },
            {
              value: 'a_lot',
              label: 'A lot',
            },
            {
              value: 'a_little',
              label: 'A little',
            },
            {
              value: 'not_at_all',
              label: 'Not at all',
            },
            {
              value: null,
              label: null,
            },
          ],
        },
        h4_7: {
          type: 'static',
          tag: 'h4',
          content: 'Over the last week, how much of a problem has the treatment for your skin been, for example by making your home messy, or by taking up time?',
        },
        treatment_for_skin: {
          type: 'radiogroup',
          items: [
            {
              value: 'very_much',
              label: 'Very much',
            },
            {
              value: 'a_lot',
              label: 'A lot',
            },
            {
              value: 'a_little',
              label: 'A little',
            },
            {
              value: 'not_at_all',
              label: 'Not at all',
            },
          ],
        },
      },
}
