export default {
    "steps": {
      "page0": {
        "elements": [
          "h3",
          "h4",
          "menopause_symptoms"
        ],
        "buttons": {
          "previous": false
        }
      },
      "page1": {
        "elements": [
          "h2_1",
          "h4_1",
          "menopause_diagnosis"
        ]
      },
      "page2": {
        "elements": [
          "h2",
          "h4_2",
          "menopause_goals"
        ]
      },
      "page3": {
        "elements": [
          "h4_3",
          "last_menstrual_period"
        ]
      },
      "page4": {
        "elements": [
          "h2_2",
          "h4_4",
          "irregular_periods"
        ]
      },
      "page5": {
        "elements": [
          "h4_5",
          "menopause_symptoms_list"
        ]
      },
      "page6": {
        "elements": [
          "h2_3",
          "h4_6",
          "most_bothersome_symptom"
        ]
      },
      "page7": {
        "elements": [
          "h4_7",
          "hrt_experience"
        ]
      },
      "page8": {
        "elements": [
          "h2_4",
          "h4_8",
          "bioidentical_hormone_treatment"
        ]
      },
      "page9": {
        "elements": [
          "h4_9",
          "hormone_imbalances"
        ]
      },
      "page10": {
        "elements": [
          "h2_5",
          "h4_10",
          "bone_loss"
        ]
      },
      "page11": {
        "elements": [
          "h4_11",
          "current_medications"
        ]
      },
      "page12": {
        "elements": [
          "h2_6",
          "h4_12",
          "dietary_plans"
        ]
      },
      "page13": {
        "elements": [
          "h4_13",
          "hormone_sensitive_conditions"
        ]
      },
      "page14": {
        "elements": [
          "h2_7",
          "h4_14",
          "peptide_sensitivities"
        ]
      }
    },
    "schema": {
      "h3": {
        "type": "static",
        "tag": "h2",
        "content": "Menopause",
        "align": "left"
      },
      "h4": {
        "type": "static",
        "tag": "h4",
        "content": "Are you currently experiencing symptoms of menopause?"
      },
      "menopause_symptoms": {
        "type": "radiogroup",
        "rules": [
          "required"
        ],
        "view": "blocks",
        "items": [
          {
            "value": "Yes",
            "label": "Yes"
          },
          {
            "value": "No",
            "label": "No"
          }
        ]
      },
      "h2_1": {
        "type": "static",
        "tag": "h2",
        "content": "Menopause Diagnosis"
      },
      "h4_1": {
        "type": "static",
        "tag": "h4",
        "content": "Have you been officially diagnosed as being in menopause or perimenopause by a healthcare provider?"
      },
      "menopause_diagnosis": {
        "type": "radiogroup",
        "rules": [
          "required"
        ],
        "view": "blocks",
        "items": [
          {
            "value": "Yes",
            "label": "Yes"
          },
          {
            "value": "No",
            "label": "No"
          }
        ]
      },
      "h2": {
        "type": "static",
        "tag": "h2",
        "content": "Menopause Goals"
      },
      "h4_2": {
        "type": "static",
        "tag": "h4",
        "content": "What is your primary goal for menopause therapy?"
      },
      "menopause_goals": {
        "type": "checkboxgroup",
        "rules": [
          "required"
        ],
        "view": "blocks",
        "items": [
          {
            "value": "Manage hot flashes",
            "label": "Manage hot flashes"
          },
          {
            "value": "Improve mood and emotional well-being",
            "label": "Improve mood and emotional well-being"
          },
          {
            "value": "Boost energy levels",
            "label": "Boost energy levels"
          },
          {
            "value": "Reduce menopause-related weight gain",
            "label": "Reduce menopause-related weight gain"
          },
          {
            "value": "Improve skin elasticity and collagen production",
            "label": "Improve skin elasticity and collagen production"
          },
          {
            "value": "Other",
            "label": "Other"
          }
        ]
      },
      "h4_3": {
        "type": "static",
        "tag": "h4",
        "content": "When was your last menstrual period?"
      },
      "last_menstrual_period": {
        "type": "text",
        "inputType": "text",
        "rules": [
          "required"
        ]
      },
      "h2_2": {
        "type": "static",
        "tag": "h2",
        "content": "Menstrual Cycle"
      },
      "h4_4": {
        "type": "static",
        "tag": "h4",
        "content": "Do you experience irregular periods or spotting?"
      },
      "irregular_periods": {
        "type": "radiogroup",
        "rules": [
          "required"
        ],
        "view": "blocks",
        "items": [
          {
            "value": "Yes",
            "label": "Yes"
          },
          {
            "value": "No",
            "label": "No"
          }
        ]
      },
      "h4_5": {
        "type": "static",
        "tag": "h4",
        "content": "Which menopause symptoms are you currently experiencing?"
      },
      "menopause_symptoms_list": {
        "type": "checkboxgroup",
        "rules": [
          "required"
        ],
        "view": "blocks",
        "items": [
          {
            "value": "Hot flashes",
            "label": "Hot flashes"
          },
          {
            "value": "Night sweats",
            "label": "Night sweats"
          },
          {
            "value": "Mood swings or irritability",
            "label": "Mood swings or irritability"
          },
          {
            "value": "Fatigue",
            "label": "Fatigue"
          },
          {
            "value": "Insomnia",
            "label": "Insomnia"
          },
          {
            "value": "Vaginal dryness or discomfort",
            "label": "Vaginal dryness or discomfort"
          },
          {
            "value": "Decreased libido",
            "label": "Decreased libido"
          },
          {
            "value": "Weight gain (especially around the abdomen)",
            "label": "Weight gain (especially around the abdomen)"
          },
          {
            "value": "Hair thinning or loss",
            "label": "Hair thinning or loss"
          },
          {
            "value": "Skin dryness or reduced elasticity",
            "label": "Skin dryness or reduced elasticity"
          },
          {
            "value": "Other",
            "label": "Other"
          }
        ]
      },
      "h2_3": {
        "type": "static",
        "tag": "h2",
        "content": "Most Bothersome Symptom"
      },
      "h4_6": {
        "type": "static",
        "tag": "h4",
        "content": "Which of these symptoms is the most bothersome to you?"
      },
      "most_bothersome_symptom": {
        "type": "text",
        "inputType": "text",
        "rules": [
          "required"
        ]
      },
      "h4_7": {
        "type": "static",
        "tag": "h4",
        "content": "Have you been on hormone replacement therapy (HRT) before?"
      },
      "hrt_experience": {
        "type": "radiogroup",
        "rules": [
          "required"
        ],
        "view": "blocks",
        "items": [
          {
            "value": "Yes",
            "label": "Yes"
          },
          {
            "value": "No",
            "label": "No"
          }
        ]
      },
      "h2_4": {
        "type": "static",
        "tag": "h2",
        "content": "Bioidentical Hormone Treatment"
      },
      "h4_8": {
        "type": "static",
        "tag": "h4",
        "content": "Have you used any bioidentical hormone treatments, including estrogen/progesterone-collagen therapy?"
      },
      "bioidentical_hormone_treatment": {
      "type": "radiogroup",
      "rules": [
        "required"
      ],
      "view": "blocks",
      "items": [
        {
          "value": "Yes",
          "label": "Yes"
        },
        {
          "value": "No",
          "label": "No"
        }
      ]
    },
    "h4_9": {
      "type": "static",
      "tag": "h4",
      "content": "Do you have a history of irregular periods, heavy menstrual bleeding, or hormone imbalances (e.g., PCOS)?"
    },
    "hormone_imbalances": {
      "type": "radiogroup",
      "rules": [
        "required"
      ],
      "view": "blocks",
      "items": [
        {
          "value": "Yes",
          "label": "Yes"
        },
        {
          "value": "No",
          "label": "No"
        }
      ]
    },
    "h2_5": {
      "type": "static",
      "tag": "h2",
      "content": "Bone Loss"
    },
    "h4_10": {
      "type": "static",
      "tag": "h4",
      "content": "Have you experienced any bone loss, osteoporosis, or frequent fractures?"
    },
    "bone_loss": {
      "type": "radiogroup",
      "rules": [
        "required"
      ],
      "view": "blocks",
      "items": [
        {
          "value": "Yes",
          "label": "Yes"
        },
        {
          "value": "No",
          "label": "No"
        }
      ]
    },
    "h4_11": {
      "type": "static",
      "tag": "h4",
      "content": "Are you currently taking any medications or supplements for menopause symptoms or hormone balance?"
    },
    "current_medications": {
      "type": "radiogroup",
      "rules": [
        "required"
      ],
      "view": "blocks",
      "items": [
        {
          "value": "Yes",
          "label": "Yes"
        },
        {
          "value": "No",
          "label": "No"
        }
      ]
    },
    "h2_6": {
      "type": "static",
      "tag": "h2",
      "content": "Dietary Plans"
    },
    "h4_12": {
      "type": "static",
      "tag": "h4",
      "content": "Do you follow any specific dietary plans or restrictions?"
    },
    "dietary_plans": {
      "type": "radiogroup",
      "rules": [
        "required"
      ],
      "view": "blocks",
      "items": [
        {
          "value": "Yes",
          "label": "Yes"
        },
        {
          "value": "No",
          "label": "No"
        }
      ]
    },
    "h4_13": {
      "type": "static",
      "tag": "h4",
      "content": "Do you have any history of hormone-sensitive conditions (e.g., breast cancer, endometriosis)?"
    },
    "hormone_sensitive_conditions": {
      "type": "radiogroup",
      "rules": [
        "required"
      ],
      "view": "blocks",
      "items": [
        {
          "value": "Yes",
          "label": "Yes"
        },
        {
          "value": "No",
          "label": "No"
        }
      ]
    },
    "h2_7": {
      "type": "static",
      "tag": "h2",
      "content": "Peptide Sensitivities"
    },
    "h4_14": {
      "type": "static",
      "tag": "h4",
      "content": "Do you have any known sensitivities to peptide-based therapies?"
    },
    "peptide_sensitivities": {
      "type": "radiogroup",
      "rules": [
        "required"
      ],
      "view": "blocks",
      "items": [
        {
          "value": "Yes",
          "label": "Yes"
        },
        {
          "value": "No",
          "label": "No"
        }
      ]
    }
  }
}