export default{
    steps: {
        page0: {
          elements: [
            'h4',
            'lumps_under_skin1',
          ],
        },
        page1: {
          elements: [
            'h4_1',
            'jaundice',
          ],
        },
        page2: {
          elements: [
            'h4_2',
            'phlegm',
          ],
        },
        page3: {
          elements: [
            'h4_3',
            'balance_problem',
          ],
        },
        page4: {
          elements: [
            'h4_4',
            'pain_now',
            'container',
          ],
        },
        page5: {
          elements: [
            'h4_10',
            'hospice_visit_at_home',
          ],
        },
        page6: {
          elements: [
            'h4_11',
            'normal_activities',
          ],
        },
        page7: {
          elements: [
            'h4_12',
            'weight_los_gain',
          ],
        },
        page8: {
          elements: [
            'h4_13',
            'blurry_double_vision',
          ],
        },
    },
    schema: {
    h4: {
        type: 'static',
        tag: 'h4',
        content: 'Lumps under the skin?',
    },
    lumps_under_skin1: {
        type: 'radiogroup',
        items: [
        {
            value: 'yes',
            label: 'Yes',
        },
        {
            value: 'no',
            label: 'No',
        },
        ],
    },
    h4_1: {
        type: 'static',
        tag: 'h4',
        content: 'Yellowing of eyes or skin (jaundice)?',
    },
    jaundice: {
        type: 'radiogroup',
        items: [
        {
            value: 'yes',
            label: 'Yes',
        },
        {
            value: 'no',
            label: 'No',
        },
        ],
    },
    h4_2: {
        type: 'static',
        tag: 'h4',
        content: 'Serious cough that brings up a lot of mucus or phlegm?',
    },
    phlegm: {
        type: 'radiogroup',
        items: [
        {
            value: 'yes',
            label: 'Yes',
        },
        {
            value: 'no',
            label: 'No',
        },
        ],
    },
    h4_3: {
        type: 'static',
        tag: 'h4',
        content: 'Problems with balance?',
    },
    balance_problem: {
        type: 'radiogroup',
        items: [
        {
            value: 'yes',
            label: 'Yes',
        },
        {
            value: 'no',
            label: 'No',
        },
        ],
    },
    h4_4: {
        type: 'static',
        tag: 'h4',
        content: 'Are you having pain now?',
    },
    pain_now: {
        type: 'radiogroup',
        items: [
        {
            value: 'yes',
            label: 'Yes',
        },
        {
            value: 'no',
            label: 'No',
        },
        ],
    },
    container: {
        type: 'group',
        schema: {
        h4_5: {
            type: 'static',
            tag: 'h4',
            content: 'Where is your pain?',
        },
        where_pain: {
            type: 'text',
        },
        h4_6: {
            type: 'static',
            tag: 'h4',
            content: 'How often are you in pain?',
        },
        how_often_pain: {
            type: 'text',
        },
        h4_7: {
            type: 'static',
            tag: 'h4',
            content: 'When did your pain start?',
        },
        when_did_pain_start: {
            type: 'text',
        },
        h4_8: {
            type: 'static',
            tag: 'h4',
            content: 'How would you describe your pain on a scale from 0 to 10, with 0 being no pain and 10 being worst pain ever?',
        },
        pain_scale: {
            type: 'radiogroup',
            items: [
            {
                value: '0',
                label: '0',
            },
            {
                value: '1',
                label: '1',
            },
            {
                value: '2',
                label: '2',
            },
            {
                value: '3',
                label: '3',
            },
            {
                value: '4',
                label: '4',
            },
            {
                value: '5',
                label: '5',
            },
            {
                value: '6',
                label: '6',
            },
            {
                value: '7',
                label: '7',
            },
            {
                value: '8',
                label: '8',
            },
            {
                value: '9',
                label: '9',
            },
            {
                value: '10',
                label: '10',
            },
            {
                value: null,
                label: null,
            },
            ],
        },
        h4_9: {
            type: 'static',
            tag: 'h4',
            content: 'Are you controlling your pain with medicine?',
        },
        controling_pain: {
            type: 'radiogroup',
            items: [
            {
                value: 'yes',
                label: 'Yes',
            },
            {
                value: 'no',
                label: 'No',
            },
            ],
        },
        h4_10_1: {
            type: 'static',
            tag: 'h4',
            content: 'What pain medicine do you take?',
        },
        container_1: {
            type: 'group',
            schema: {
            what_medicine_take_pain: {
                type: 'text',
            },
            h4_10_1_copy: {
                type: 'static',
                tag: 'h4',
                content: 'How often do you take this pain medicine?',
            },
            how_often_take_med_pain: {
                type: 'text',
            },
            },
            conditions: [
            [
                'container.controling_pain',
                'in',
                [
                'yes',
                ],
            ],
            ],
        },
        },
        conditions: [
        [
            'pain_now',
            'in',
            [
            'yes',
            ],
        ],
        ],
    },
    h4_10: {
        type: 'static',
        tag: 'h4',
        content: 'Does anyone from Home Health or Hospice visit you at home?',
    },
    hospice_visit_at_home: {
        type: 'radiogroup',
        items: [
        {
            value: 'yes',
            label: 'Yes',
        },
        {
            value: 'no',
            label: 'No',
        },
        ],
    },
    h4_11: {
        type: 'static',
        tag: 'h4',
        content: 'Have you been able to continue most of your normal activities?',
    },
    normal_activities: {
        type: 'radiogroup',
        items: [
        {
            value: 'yes',
            label: 'Yes',
        },
        {
            value: 'no',
            label: 'No',
        },
        ],
    },
    h4_12: {
        type: 'static',
        tag: 'h4',
        content: 'Unexplained weight loss/Gain',
    },
    weight_los_gain: {
        type: 'radiogroup',
        items: [
        {
            value: 'loss',
            label: 'Loss',
        },
        {
            value: 'gain',
            label: 'Gain',
        },
        ],
    },
    h4_13: {
        type: 'static',
        tag: 'h4',
        content: 'Blurry vision/Double vision',
    },
    blurry_double_vision: {
        type: 'radiogroup',
        items: [
        {
            value: 'blury_vision',
            label: 'Blurry Vision',
        },
        {
            value: 'double_vision',
            label: 'Double Vision',
        },
        ],
    },
    },
}
