export default {
    steps: {
      page0: {
        elements: [
          'h3',
          'h4',
          'current_sleep_quality',
        ],
        buttons: {
          previous: false,
        },
      },
      page1: {
        elements: [
          'h2_1',
          'h4_1',
          'hours_sleep_per_night',
        ],
      },
      page2: {
        elements: [
          'h2',
          'h4_2',
          'diagnosed_sleep_disorders',
          'diagnosed_sleep_disorders_reason',
        ],
      },
      page3: {
        elements: [
          'h4_3',
          'prescribed_sleep_medications',
        ],
      },
      page4: {
        elements: [
          'h4_4',
          'over_the_counter_sleep_aids',
          'over_the_counter_sleep_aids_reason',
        ],
      },
      page5: {
        elements: [
          'h4_5',
          'other_medications_affect_sleep',
        ],
      },
      page6: {
        elements: [
          'h4_6',
          'consume_caffeine_nicotine_alcohol',
        ],
      },
      page7: {
        elements: [
          'h4_7',
          'regular_physical_activity',
        ],
      },
      page8: {
        elements: [
          'h4_8',
          'high_stress_anxiety',
        ],
      },
      page9: {
        elements: [
          'h4_9',
          'nasal_sinus_issues',
          'nasal_sinus_issues_reason',
        ],
      },
      page10: {
        elements: [
          'h4_10',
          'used_nasal_sprays',
          'nasal_sprays_side_effects',
        ],
      },
      page11: {
        elements: [
          'h4_11',
          'prescribed_peptide_therapies',
          'peptide_therapies_side_effects',
        ],
      },
      page12: {
        elements: [
          'h4_12',
          'using_hormone_peptide_treatments',
          'hormone_peptide_treatments_reason',
        ],
      },
      page13: {
        elements: [
          'h4_13',
          'known_allergies',
          'allergies_list',
        ],
      },
      page14: {
        elements: [
          'h4_14',
          'diagnosed_chronic_conditions',
          'chronic_conditions_reason',
        ],
      },
      page15: {
        elements: [
          'h4_15',
          'respiratory_conditions',
        ],
      },
      page16: {
        elements: [
          'h4_16',
          'primary_goals',
        ],
      },
      page17: {
        elements: [
          'h4_17',
          'pregnant',
        ],
      },
    },
    schema: {
      h3: {
        type: 'static',
        tag: 'h2',
        content: 'Sleep Quality',
        align: 'left',
      },
      h4: {
        type: 'static',
        tag: 'h4',
        content: 'How would you describe your current sleep quality?',
      },
      current_sleep_quality: {
        type: 'radiogroup',
        rules: [
          'required',
        ],
        view: 'blocks',
        items: [
          {
            value: 'Poor',
            label: 'Poor',
          },
          {
            value: 'Fair',
            label: 'Fair',
          },
          {
            value: 'Good',
            label: 'Good',
          },
          {
            value: 'Excellent',
            label: 'Excellent',
          },
        ],
      },
      h2_1: {
        type: 'static',
        tag: 'h2',
        content: 'Sleep Quality',
      },
      h4_1: {
        type: 'static',
        tag: 'h4',
        content: 'On average, how many hours do you sleep per night?',
      },
      hours_sleep_per_night: {
        type: 'text',
        inputType: 'text',
        rules: [
          'required',
        ],
      },
      h2: {
        type: 'static',
        tag: 'h2',
        content: 'Sleep Quality',
      },
      h4_2: {
        type: 'static',
        tag: 'h4',
        content: 'Do you suffer from any diagnosed sleep disorders (e.g., insomnia, sleep apnea)?',
      },
      diagnosed_sleep_disorders: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
            description: '',
          },
          {
            value: 'No',
            label: 'No',
            description: '',
          },
        ],
        rules: [
          'required',
        ],
      },
      diagnosed_sleep_disorders_reason: {
        type: 'text',
        label: ' \n \t\nIf yes, please specify the condition.',
        rules: [
          'required',
        ],
        conditions: [
          [
            'diagnosed_sleep_disorders',
            'in',
            [
              'Yes',
            ],
          ],
        ],
      },
      h4_3: {
        type: 'static',
        tag: 'h4',
        content: 'Have you ever been prescribed any sleep medications or therapies in the past?',
      },
      prescribed_sleep_medications: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      h4_4: {
        type: 'static',
        tag: 'h4',
        content: 'Do you take any over-the-counter sleep aids, such as melatonin or herbal supplements?',
      },
      over_the_counter_sleep_aids: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      over_the_counter_sleep_aids_reason: {
        type: 'text',
        label: ' \n \t\nIf yes, please specify the condition.',
        rules: [
          'required',
        ],
        conditions: [
          [
            'over_the_counter_sleep_aids',
            'in',
            [
              'Yes',
            ],
          ],
        ],
      },
      h4_5: {
        type: 'static',
        tag: 'h4',
        content: 'Are you currently taking any other medications or supplements that affect your sleep?',
      },
      other_medications_affect_sleep: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      h4_6: {
        type: 'static',
        tag: 'h4',
        content: 'Do you consume caffeine, nicotine, or alcohol?',
      },
      consume_caffeine_nicotine_alcohol: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      h4_7: {
        type: 'static',
        tag: 'h4',
        content: 'Do you engage in regular physical activity or exercise?',
      },
      regular_physical_activity: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      h4_8: {
        type: 'static',
        tag: 'h4',
        content: 'Do you experience high levels of stress or anxiety that impact your sleep?',
      },
      high_stress_anxiety: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      h4_9: {
        type: 'static',
        tag: 'h4',
        content: 'Do you have a history of nasal or sinus issues (e.g., chronic congestion, allergies)?',
      },
      nasal_sinus_issues: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      nasal_sinus_issues_reason: {
        type: 'text',
        label: ' \n \t\nIf yes, please describe.',
        rules: [
          'required',
        ],
        conditions: [
          [
            'nasal_sinus_issues',
            'in',
            [
              'Yes',
            ],
          ],
        ],
      },
      h4_10: {
        type: 'static',
        tag: 'h4',
        content: 'Have you used nasal sprays or inhalers before?',
      },
      used_nasal_sprays: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      nasal_sprays_side_effects: {
        type: 'text',
        label: ' \n \t\nIf yes, did you experience any side effects?',
        rules: [
          'required',
        ],
        conditions: [
          [
            'used_nasal_sprays',
            'in',
            [
              'Yes',
            ],
          ],
        ],
      },
      h4_11: {
        type: 'static',
        tag: 'h4',
        content: 'Have you been prescribed peptide therapies (like PE 22-28 or DHHB) before?',
      },
      prescribed_peptide_therapies: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      peptide_therapies_side_effects: {
        type: 'text',
        label: ' \n \t\nIf yes, did you experience any side effects?',
        rules: [
          'required',
        ],
        conditions: [
          [
            'prescribed_peptide_therapies',
            'in',
            [
              'Yes',
            ],
          ],
        ],
      },
      h4_12: {
        type: 'static',
        tag: 'h4',
        content: 'Are you currently using any other hormone or peptide-based treatments?',
      },
      using_hormone_peptide_treatments: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      hormone_peptide_treatments_reason: {
        type: 'text',
        label: ' \n \t\nIf yes, please specify.',
        rules: [
          'required',
        ],
        conditions: [
          [
            'using_hormone_peptide_treatments',
            'in',
            [
              'Yes',
            ],
          ],
        ],
      },
      h4_13: {
        type: 'static',
        tag: 'h4',
        content: 'Do you have any known allergies to medications or supplements?',
      },
      known_allergies: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      allergies_list: {
        type: 'text',
        label: ' \n \t\nIf yes, please list the allergies.',
        rules: [
          'required',
        ],
        conditions: [
          [
            'known_allergies',
            'in',
            [
              'Yes',
            ],
          ],
        ],
      },
      h4_14: {
        type: 'static',
        tag: 'h4',
        content: 'Have you been diagnosed with any chronic conditions (e.g., diabetes, hypertension, heart disease) that may affect sleep?',
      },
      diagnosed_chronic_conditions: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      chronic_conditions_reason: {
        type: 'text',
        label: ' \n \t\nIf yes, please specify the condition.',
        rules: [
          'required',
        ],
        conditions: [
          [
            'diagnosed_chronic_conditions',
            'in',
            [
              'Yes',
            ],
          ],
        ],
      },
      h4_15: {
        type: 'static',
        tag: 'h4',
        content: 'Do you suffer from any respiratory conditions (e.g., asthma, COPD) that could interfere with nasal spray use?',
      },
      respiratory_conditions: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
      h4_16: {
        type: 'static',
        tag: 'h4',
        content: 'What are your primary goals for improving sleep quality with this therapy?',
      },
      primary_goals: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Falling asleep faster',
            label: 'Falling asleep faster',
          },
          {
            value: 'Staying asleep throughout the night',
            label: 'Staying asleep throughout the night',
          },
          {
            value: 'Reducing nighttime awakenings',
            label: 'Reducing nighttime awakenings',
          },
          {
            value: 'Feeling more rested upon waking',
            label: 'Feeling more rested upon waking',
          },
          {
            value: 'Other',
            label: 'Other',
          },
        ],
        rules: [
          'required',
        ],
      },
      h4_17: {
        type: 'static',
        tag: 'h4',
        content: 'Are you Pregnant? (Female Specific)',
      },
      pregnant: {
        type: 'radiogroup',
        view: 'blocks',
        items: [
          {
            value: 'Yes',
            label: 'Yes',
          },
          {
            value: 'No',
            label: 'No',
          },
        ],
        rules: [
          'required',
        ],
      },
    },
  };